<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../../configuracao.php");//confirma no banco de dados
include("../../inclusos/funcoes.php");
include("../../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros

	$valor_total = $_REQUEST['valor_total'];
	$selecionado = $_REQUEST['selecionado'];
	$idorcamento_compras_fornecedores_valor = $_REQUEST['idorcamento_compras_fornecedores_valor'];
    $idfilial = $_REQUEST['idfilial'];

	//MUDO TODOS IGUAIS PARA NÃO SELECIONADOS
	
	$Seleciona = Seleciona("compras_orcamentos_fornecedores_valores", "WHERE idorcamento_compras_fornecedores_valor='$idorcamento_compras_fornecedores_valor'", "LIMIT 0,1");
	while($linha = mysql_fetch_array($Seleciona)){
		
		$idplanilha_compras = $linha ['idplanilha_compras'];		
		$Altera = Alterar("compras_orcamentos_fornecedores_valores", "selecionado='nao'", "idplanilha_compras", $idplanilha_compras);	
	}

    try
    {

$campos_alterar = "valor_total='$valor_total', selecionado='$selecionado', idfilial='$idfilial'";

        //insere na BD
		$AlterarObra = Alterar("compras_orcamentos_fornecedores_valores", $campos_alterar, "idorcamento_compras_fornecedores_valor", $idorcamento_compras_fornecedores_valor);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>